Subject: Re: Tree with leading '0' modes in 1.7.0.3

From: "Mike.lifeguard" <[email-masked]>
Date: Fri, 26 Mar 2010 21:00:02 -0300

On 10-03-26 08:49 PM, Jonathan Nieder wrote:
> git fast-export --all |
> (
> 	cd /empty/repository &&
> 	git init &&
> 	git fast-import
> )

That one did something:
*When I cd-ed into the repo, there were staged changes waiting for me
(O.o) -- the changes would have simply deleted every file in the source
tree.
*git fsck had no warnings
*As predicted, SHA1s changed

On 10-03-26 08:56 PM, Avery Pennarun wrote:
> The problem is that everything in git works perfectly with these
> invalid file modes *except* fsck, and there's rarely a need to run
> fsck, so this problem can hide for a long time.

So, does the error matter or not? If it doesn't matter, then shouldn't
Jgit stop whining? If it does, then whatever-it-is needs to be fixed.

We're still not sure what was done with github to cause this. I've done
nothing with github's web interface, and the project lead can't recall
doing anything prior to this error (only stuff today, but this error
cropped up yesterday). I suspect witchcraft :P

- -Mike